/* 
    This is a test rexx macro prog for Flist!

    Here we test message passing between rexx and Flist. 

    NOTE: all commands that exist on their own lines and inclosed in 
    single quotes (optional) are passed to flist.

    Written by Stephen (Raz) Berry
*/

trace off

address "flport"    /* Flist's port name */

norm = '9b34303b33316d'X    /* screen colors for highlights */
rever = '9b34303b33336d'X

if ~open(fd,'CON:0/80/640/30/Rexx_test') then exit(-30)
dummy = writeln(fd,rever || '  Prepare for Iconification!')
address command 'wait 3 sec'
dummy = close(fd)

 'iconify'  /* use Leo's iconify prog to shrink flist to an icon */

if ~open(fd,'CON:0/80/640/40/Rexx_test') then exit(-30)
dummy = writeln(fd,' This is what happens when you send a bad command.')
address command 'wait 3 sec'

 this is crapola  /* show what happens when a bad command is sent */

dummy = writeln(fd,'  Now we will sort the list by their file sizes!')
address command 'wait 3 sec'

 sort z   /* sort the list by size */

dummy = writeln(fd,'Now let us make a trip to the parent of this directory.')
address command 'wait 3 sec'

 parent   /* get the parent dir */

dummy = writeln(fd,'Pretend you have made a change to this directory.')
address command 'wait 2 sec'

dummy = writeln(fd,'Very Good. Now we can make Flist aware of the change.')
address command 'wait 2 sec'

 reget    /* reload the dir */

dummy = writeln(fd,'Now lets show off the pattern sorting ability of Flist.')
address command 'wait 2 sec'

 sort o

dummy = writeln(fd,'Like that? Now we will make a new directory.')
dummy = writeln(fd,'(Or you can hit return on a blank line to cancel)')
address command 'wait 2 sec'

 makedir

dummy = writeln(fd,'Assuming you are executing this macro from the flist')
dummy = writeln(fd,'directory we will change back to it now.')
address command 'wait 2 sec'

 changedir Flist

dummy = writeln(fd,'Now if you like you can use the ARP filerequestor to go')
dummy = writeln(fd,'to any volume your desire!')
address command 'wait 2 sec'

 request

dummy = writeln(fd,rever || '  Thats all Folks!')
address command 'wait 3 sec'
dummy = close(fd)

/* use the quotes here because END is a REXX keyword also */

 'end'      /* this should end the comunication, ...this is real helpful! */

exit
